Bug 851897 - recipe's watchdog status grouped by recipe_set
recipe's watchdog status grouped by recipe_set
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Nick Coghlan
MC
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 21:29 EDT by Raymond Mancy
Modified: 2014-12-07 20:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-28 20:10:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-08-26 21:29:56 EDT
In a multi-recipe recipeset, the status of any recipe is potentially determined by the status of another recipe in the same recipeset.

It seems this was introduced in 9902b2315d217190a2e508e2dbad18adcc3aeb29.
and recently caused this problem 849818. 

Do we still need to group by recipeset id for beaker-watchdog?
Comment 1 Nick Coghlan 2012-10-17 00:39:48 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 2 Dan Callaghan 2012-10-25 00:49:45 EDT
I suspect this is for multi-host tests, so that the external watchdog does not kick in so long as at least one recipe is still alive and working.

Is there any compelling reason why we should change this, apart from bug 849818 which is now fixed?
Comment 3 Raymond Mancy 2012-10-28 20:10:16 EDT
No, this can be closed

Note You need to log in before you can comment on or make changes to this bug.